/// <reference types="react" />
import { ToastVariant } from './Toast.types';
export declare const StyledToast: import("styled-components").StyledComponent<"div", any, {
    $variant: ToastVariant;
}, never>;
export declare const StyledToastText: import("styled-components").StyledComponent<"span", any, {
    $legacy?: boolean | undefined;
}, never>;
export declare const StyledToastButton: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("../Button").ButtonProps & import("react").RefAttributes<HTMLButtonElement>>, any, {}, never>;
